(function ($) {
  $(window).on("elementor/frontend/init", function () {
    elementorFrontend.hooks.addAction(
      "frontend/element_ready/postify-post-grid-widget.default",
      function (scope, $) {
        var pope_myScript = function () {
          if ($(".ta-container").length > 0) {
            $(scope)
              .find(".ta-container")
              .each(function () {
                var pope_container = $(this),
                  pope_container_id = pope_container.attr("id"),
                  POPE_Wrapper_ID = "#" + pope_container_id,
                  pc_sid = $(POPE_Wrapper_ID).data("sid"),
                  pc_pagination = $(POPE_Wrapper_ID).data("pagination"),
                  post_per_page = $(POPE_Wrapper_ID).data("post_per_page"),
                  pope_settings = $(POPE_Wrapper_ID).data("pope_settings"),
                  pope_post_limit = $(POPE_Wrapper_ID).data("pope_post_limit"),
                  popeAccordion = $("#" + pope_container_id + " .ta-collapse"),
                  ajaxurl = sppop.ajaxurl,
                  nonce = sppop.nonce;
                $(
                  ".ta-overlay.ta-pope-post,.ta-content-box.ta-pope-post",
                  POPE_Wrapper_ID
                ).on("mouseover", function () {
                  $(this)
                    .find(".postify__item__content.animated:not(.pope_hover)")
                    .addClass("pope_hover");
                });

                function pope_item_same_height() {
                  var maxHeight = 0;
                  $(POPE_Wrapper_ID + ".pope_same_height .item").each(
                    function () {
                      if ($(this).find(".ta-pope-post").height() > maxHeight) {
                        maxHeight = $(this).find(".ta-pope-post").height();
                      }
                    }
                  );
                  $(POPE_Wrapper_ID + ".pope_same_height .ta-pope-post").height(
                    maxHeight
                  );
                }
                if (
                  $(POPE_Wrapper_ID + ".pope_same_height").hasClass(
                    "pope-filter-wrapper"
                  )
                ) {
                  pope_item_same_height();
                }

                // Ajax Action for Live filter.
                var keyword = "",
                  orderby = "",
                  taxonomy = "",
                  order = "",
                  term_id = "",
                  page = "",
                  spsp_lang = $(POPE_Wrapper_ID).data("lang");
                var author_id = "",
                  custom_field_key = "",
                  custom_field_value = "",
                  pope_hash_url = Array(),
                  pope_last_filter = "",
                  custom_fields_array = Array(),
                  is_pagination_url_change = true;
                function pope_ajax_action(selected_term_list = null) {
                  jQuery.ajax({
                    url: ajaxurl,
                    type: "POST",
                    data: {
                      page: page,
                      id: pc_sid,
                      pagination_type: pc_pagination,
                      post_per_page: post_per_page,
                      pope_settings: pope_settings,
                      pope_post_limit: pope_post_limit,
                      action: "pope_post_order",
                      author_id: author_id,
                      lang: spsp_lang,
                      order: order,
                      keyword: keyword,
                      orderby: orderby,
                      taxonomy: taxonomy,
                      term_id: term_id,
                      nonce: nonce,
                      term_list: selected_term_list,
                      custom_fields_array: custom_fields_array,
                    },
                    success: function (data) {
                      var $data = $(data);
                      var $newElements = $data;

                      if ($(POPE_Wrapper_ID).hasClass("pope-masonry")) {
                        var $post_wrapper = $(".ta-row", POPE_Wrapper_ID);
                        $post_wrapper.masonry("destroy");
                        $post_wrapper
                          .html($newElements)
                          .imagesLoaded(function () {
                            $post_wrapper.masonry();
                          });
                      } else if (
                        $(POPE_Wrapper_ID).hasClass("pope-filter-wrapper")
                      ) {
                        $(
                          ".ta-row, .pope-timeline-grid, .ta-pope-collapse, .table-responsive tbody",
                          POPE_Wrapper_ID
                        ).html($newElements);
                        $grid
                          .append($newElements)
                          .isotope("appended", $newElements)
                          .imagesLoaded(function () {
                            $grid.isotope("layout");
                          });
                        pope_item_same_height();
                      } else {
                        var $newElements = $data.css({
                          opacity: 0,
                        });
                        $(
                          ".ta-row, .pope-timeline-grid, .ta-pope-collapse, .table-responsive tbody",
                          POPE_Wrapper_ID
                        ).html($newElements);
                        if (popeAccordion.length > 0) {
                          popeAccordion.accordion("refresh");
                          if (accordion_mode === "multi-open") {
                            popeAccordion
                              .find(".pope-collapse-header")
                              .next()
                              .slideDown();
                            popeAccordion
                              .find(".pope-collapse-header .fa")
                              .removeClass("fa-plus")
                              .addClass("fa-minus");
                          }
                        }
                        var $newElements = $data.css({
                          opacity: 1,
                        });
                      }
                      pope_lazyload();
                    },
                  });
                }

                // Pagination.
                function pope_pagination_action(selected_term_list = null) {
                  var LoadMoreText = $(
                    ".ta-pope-pagination-data",
                    POPE_Wrapper_ID
                  ).data("loadmoretext");
                  var EndingMessage = $(
                    ".ta-pope-pagination-data",
                    POPE_Wrapper_ID
                  ).data("endingtext");
                  jQuery.ajax({
                    url: ajaxurl,
                    type: "POST",
                    data: {
                      page: page,
                      id: pc_sid,
                      pagination_type: pc_pagination,
                      post_per_page: post_per_page,
                      pope_settings: pope_settings,
                      pope_post_limit: pope_post_limit,
                      action: "post_pagination_bar",
                      author_id: author_id,
                      order: order,
                      lang: spsp_lang,
                      keyword: keyword,
                      orderby: orderby,
                      taxonomy: taxonomy,
                      term_id: term_id,
                      term_list: selected_term_list,
                      custom_fields_array: custom_fields_array,
                      nonce: nonce,
                    },

                    success: function (data) {
                      var $data = $(data);
                      var $newElements = $data;
                      $(
                        ".pope-post-pagination.pope-on-desktop:not(.no_ajax)",
                        POPE_Wrapper_ID
                      ).html($newElements);
                      if (
                        Pagination_Type == "infinite_scroll" ||
                        Pagination_Type == "ajax_load_more"
                      ) {
                        $(".pope-load-more", POPE_Wrapper_ID)
                          .removeClass("finished")
                          .removeClass("pope-hide")
                          .html(
                            '<button pope-processing="0">' +
                              LoadMoreText +
                              "</button>"
                          );
                      }
                      if (Pagination_Type == "infinite_scroll") {
                        $(".pope-load-more", POPE_Wrapper_ID).addClass(
                          "pope-hide"
                        );
                      }
                      if (
                        !$(".pope-post-pagination a", POPE_Wrapper_ID).length
                      ) {
                        $(".pope-load-more", POPE_Wrapper_ID)
                          .show()
                          .html(EndingMessage);
                      }
                      pope_lazyload();
                    },
                    error: function (jqXHR, exception) {
                      var msg = "";
                      if (jqXHR.status === 0) {
                        msg = "Not connect.\n Verify Network.";
                      } else if (jqXHR.status == 404) {
                        msg = "Requested page not found. [404]";
                      } else if (jqXHR.status == 500) {
                        msg = "Internal Server Error [500].";
                      } else if (exception === "parsererror") {
                        msg = "Requested JSON parse failed.";
                      } else if (exception === "timeout") {
                        msg = "Time out error.";
                      } else if (exception === "abort") {
                        msg = "Ajax request aborted.";
                      } else {
                        msg = "Uncaught Error.\n" + jqXHR.responseText;
                      }
                      $("#post").html(msg);
                    },
                  });
                }

                // Live filter button reset on ajax call.
                function pope_live_filter_reset(selected_term_list = null) {
                  jQuery.ajax({
                    url: ajaxurl,
                    type: "POST",
                    data: {
                      page: page,
                      id: pc_sid,
                      pagination_type: pc_pagination,
                      post_per_page: post_per_page,
                      pope_settings: pope_settings,
                      pope_post_limit: pope_post_limit,
                      action: "pope_live_filter_reset",
                      author_id: author_id,
                      order: order,
                      lang: spsp_lang,
                      keyword: keyword,
                      orderby: orderby,
                      taxonomy: taxonomy,
                      term_id: term_id,
                      term_list: selected_term_list,
                      last_filter: pope_last_filter,
                      custom_fields_array: custom_fields_array,
                      nonce: nonce,
                    },
                    success: function (data) {
                      var $data = $(data);
                      var $newElements = $data.animate({
                        opacity: 0.5,
                      });
                      $(".pope-filter-bar", POPE_Wrapper_ID).html($newElements);
                      custom_field_filter_slider();
                      $newElements.animate({
                        opacity: 1,
                      });
                    },
                  });
                }
                // Update Hash url array.
                function pope_hash_update_arr(
                  pope_filter_keyword,
                  filter_arr,
                  key
                ) {
                  if (pope_hash_url.length > 0) {
                    pope_hash_url.forEach(function (row) {
                      if (
                        $.inArray(pope_filter_keyword, row.pope_filter_keyword)
                      ) {
                        row[key] = pope_filter_keyword;
                      } else {
                        pope_hash_url.push(filter_arr);
                      }
                    });
                  } else {
                    pope_hash_url.push(filter_arr);
                  }
                  return pope_hash_url;
                }
                // On normal pagination go to current shortcode.
                var url_hash = window.location.search;
                if (url_hash.indexOf("paged") >= 0) {
                  var s_id = /paged(\w+)/.exec(url_hash)[1];
                  var spscurrent_id = document.getElementById(
                    "pope_wrapper-" + s_id
                  );
                  spscurrent_id.scrollIntoView();
                }
                // Update url.
                var selected_term_list = Array();
                function pope_update_url() {
                  var p_search = window.location.search;
                  if (p_search.indexOf("page_id") >= 0) {
                    var pope_page = /page_id\=(\d+)/.exec(p_search)[1];
                    var pope_url = "?page_id=" + pope_page + "&";
                  } else {
                    var pope_url = "&";
                  }
                  if (pope_hash_url.length > 0) {
                    $.map(pope_hash_url, function (value, index) {
                      $.map(value, function (value2, index2) {
                        if (
                          value2 == "all" ||
                          value2 == "none" ||
                          value2 == "" ||
                          value2 == "page"
                        ) {
                          pope_url += "";
                        } else {
                          pope_url += "pope_" + index2 + "=" + value2 + "&";
                        }
                      });
                    });
                  }
                  if (selected_term_list.length > 0) {
                    var term_total_length = selected_term_list.length;
                    $.map(selected_term_list, function (value, index) {
                      if (value.term_id == "all" || value.term_id == "") {
                        pope_url += "";
                      } else {
                        if (index == term_total_length - 1) {
                          pope_url +=
                            "tx_" + value.taxonomy + "=" + value.term_id + "";
                        } else {
                          pope_url +=
                            "tx_" + value.taxonomy + "=" + value.term_id + "&";
                        }
                      }
                    });
                  }
                  if (custom_fields_array.length > 0) {
                    var meta_field_total_length = custom_fields_array.length;
                    $.map(custom_fields_array, function (value, index) {
                      //  if (index == meta_field_total_length - 1) {
                      pope_url +=
                        "cf" +
                        value.custom_field_key +
                        "=" +
                        value.custom_field_value +
                        "&";
                      // }
                    });
                  }
                  if (
                    pope_hash_url.length < 0 ||
                    selected_term_list.length < 0
                  ) {
                    pope_url = "";
                  }
                  if (pope_url.length > 1) {
                    var slf = "";
                    if (pope_last_filter.length > 0) {
                      var slf = "&slf=" + pope_last_filter;
                    }

                    pope_url = "?pope=" + pc_sid + slf + pope_url;

                    history.pushState(null, null, encodeURI(pope_url));
                  } else {
                    var uri = window.location.toString();
                    if (uri.indexOf("?") > 0) {
                      var clean_uri = uri.substring(0, uri.indexOf("?"));
                      window.history.replaceState(
                        {},
                        document.title,
                        clean_uri
                      );
                    }
                  }
                }

                function custom_field_filter_slider() {
                  $(POPE_Wrapper_ID + " .pope-custom-field-filter-slider").each(
                    function () {
                      var _that = $(this);
                      var _input = _that.find(".pope-input");
                      var custom_field_key = _input.attr("name");
                      var _min = _input.data("min");
                      var _crmin = _input.data("crmin");
                      var _crmax = _input.data("crmax");
                      var _max = _input.data("max");
                      _that.find(".pope-slider").slider({
                        range: true,
                        min: _crmin,
                        max: _crmax,
                        values: [_min, _max],
                        slide: function (event, ui) {
                          _input.val(ui.values[0] + " - " + ui.values[1]);
                        },
                        stop: function (event, ui) {
                          _input.data("max", ui.values[1]);

                          custom_field_value =
                            ui.values[0] + " " + ui.values[1];
                          custom_fields_array.push({
                            custom_field_key,
                            custom_field_value,
                          });
                          custom_fields_array.map(function (person) {
                            if (person.custom_field_key === custom_field_key) {
                              person.custom_field_value = custom_field_value;
                            }
                          });
                          custom_fields_array = $.grep(
                            custom_fields_array,
                            function (e, i) {
                              return e.custom_field_value.length;
                            }
                          );
                          custom_fields_array = custom_fields_array
                            .map(JSON.stringify)
                            .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
                            .filter(function (item, index, arr) {
                              return arr.indexOf(item, index + 1) === -1;
                            }) // check if there is any occurrence of the item in whole array
                            .reverse()
                            .map(JSON.parse);
                          pope_update_url();
                          pope_last_filter = custom_field_key;
                          pope_ajax_action(selected_term_list);
                          pope_live_filter_reset(selected_term_list);
                        },
                      });
                    }
                  );
                }
                custom_field_filter_slider();
                // Ajax post search.
                $("input.pope-search-field", POPE_Wrapper_ID).on(
                  "keyup",
                  function () {
                    var that = $(this);
                    keyword = that.val();
                    pope_last_filter = "keyword";
                    var pope_search_arr = { keyword, keyword };
                    pope_live_filter_reset(selected_term_list);
                    pope_hash_update_arr(keyword, pope_search_arr, "keyword");
                    pope_update_url();
                    pope_ajax_action(selected_term_list);
                    pope_pagination_action();
                    is_pagination_url_change = false;
                    pope_hash_update_arr("page", { page: "" }, "page");
                    pope_update_url();
                  }
                );

                // Post order by.
                $(".pope-order-by", POPE_Wrapper_ID).on("change", function () {
                  var that;
                  $(this)
                    .find("option:selected, input:radio:checked")
                    .each(function () {
                      that = $(this);
                      orderby = that.val();
                    });
                  var orerbyarr = { orderby, orderby };
                  pope_hash_update_arr(orderby, orerbyarr, "orderby");
                  pope_update_url();
                  pope_ajax_action();
                  pope_pagination_action();
                  pope_hash_update_arr("page", { page: "" }, "page");
                  pope_update_url();
                });

                function pope_filter_push(myarr, item) {
                  var found = false;
                  var i = 0;
                  while (i < myarr.length) {
                    if (myarr[i] === item) {
                      // Do the logic (delete or replace)
                      found = true;
                      break;
                    }
                    i++;
                  }
                  // Add the item
                  if (!found) myarr.push(item);
                  return myarr;
                }

                // Pre Filter Init.
                var tax_list = Array();
                $(".pope-filter-by", POPE_Wrapper_ID)
                  .find("option:selected, input:radio:checked")
                  .each(function () {
                    term_id = $(this).val();
                    taxonomy = $(this).data("taxonomy");
                    var selected_tax_length = selected_term_list.length;
                    if (selected_tax_length > 0) {
                      var selected_tax =
                        selected_term_list[selected_tax_length - 1]["taxonomy"];
                      selected_term_list.map(function (person) {
                        if (person.taxonomy === taxonomy) {
                          person.term_id = term_id;
                        }
                      });
                      // if ($.inArray(taxonomy, tax_list) == -1) {
                      selected_term_list.push({
                        taxonomy,
                        term_id,
                      });
                      //  }
                      if (
                        selected_term_list[selected_tax_length - 1][
                          "term_id"
                        ] == "all" &&
                        selected_tax === taxonomy
                      ) {
                        tax_list = tax_list.filter(function (val) {
                          return val !== taxonomy;
                        });
                      } else {
                        tax_list = pope_filter_push(tax_list, taxonomy);
                      }
                      selected_term_list = $.grep(
                        selected_term_list,
                        function (e, i) {
                          return e.term_id != "all";
                        }
                      );
                    } else {
                      selected_term_list.push({
                        taxonomy,
                        term_id,
                      });
                      selected_term_list = $.grep(
                        selected_term_list,
                        function (e, i) {
                          return e.term_id != "all";
                        }
                      );
                      tax_list = Array(taxonomy);
                    }
                  });
                $(".pope-author-filter", POPE_Wrapper_ID)
                  .find("option:selected, input:radio:checked")
                  .each(function () {
                    that = $(this);
                    author_id = that.val();
                  });
                $(".pope-order", POPE_Wrapper_ID)
                  .find("option:selected, input:radio:checked")
                  .each(function () {
                    that = $(this);
                    order = $(this).val();
                  });
                $(".pope-order-by", POPE_Wrapper_ID)
                  .find("option:selected, input:radio:checked")
                  .each(function () {
                    that = $(this);
                    orderby = that.val();
                  });
                $("input.pope-search-field", POPE_Wrapper_ID).each(function () {
                  var that = $(this);
                  keyword = that.val();
                });
                $(".pope-filter-by-checkbox", POPE_Wrapper_ID).each(
                  function () {
                    var current_tax = $(this).data("taxonomy");
                    var term_ids = "";
                    $(this)
                      .find(
                        "input[name='" + current_tax + "']:checkbox:checked"
                      )
                      .each(function () {
                        term_ids += $(this).val() + ",";
                        taxonomy = $(this).data("taxonomy");
                      });
                    term_id = term_ids.replace(/,(?=\s*$)/, "");
                    selected_term_list.map(function (person) {
                      if (person.taxonomy === current_tax) {
                        person.term_id = term_id;
                      }
                    });
                    selected_term_list.push({
                      taxonomy,
                      term_id,
                    });
                  }
                );
                selected_term_list = $.grep(
                  selected_term_list,
                  function (e, i) {
                    return e.term_id.length;
                  }
                );
                // Custom field filter.
                $(".pope-custom-field-filter", POPE_Wrapper_ID).each(
                  function () {
                    $(this)
                      .find("option:selected, input:radio:checked")
                      .each(function () {
                        custom_field_key = $(this).attr("name");
                        custom_field_value = $(this).val();
                        custom_fields_array.map(function (person) {
                          if (person.custom_field_key === custom_field_key) {
                            person.custom_field_value = custom_field_value;
                          }
                        });
                        custom_fields_array.push({
                          custom_field_key,
                          custom_field_value,
                        });
                      });
                  }
                );
                selected_term_list = selected_term_list
                  .map(JSON.stringify)
                  .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
                  .filter(function (item, index, arr) {
                    return arr.indexOf(item, index + 1) === -1;
                  }) // check if there is any occurence of the item in whole array
                  .reverse()
                  .map(JSON.parse);
                // Filter by checkbox.
                $(POPE_Wrapper_ID).on(
                  "change",
                  ".pope-filter-by-checkbox",
                  function (e) {
                    e.stopPropagation();
                    e.preventDefault();
                    $(".pope-filter-by-checkbox", POPE_Wrapper_ID).each(
                      function () {
                        var current_tax = $(this).data("taxonomy");
                        var term_ids = "";
                        $(this)
                          .find(
                            "input[name='" + current_tax + "']:checkbox:checked"
                          )
                          .each(function () {
                            term_ids += $(this).val() + ",";
                            taxonomy = $(this).data("taxonomy");
                          });
                        term_id = term_ids.replace(/,(?=\s*$)/, "");
                        selected_term_list.map(function (person) {
                          if (person.taxonomy === current_tax) {
                            person.term_id = term_id;
                          }
                        });
                        selected_term_list.push({
                          taxonomy,
                          term_id,
                        });
                      }
                    );
                    selected_term_list = $.grep(
                      selected_term_list,
                      function (e, i) {
                        return e.term_id.length;
                      }
                    );
                    selected_term_list = selected_term_list
                      .map(JSON.stringify)
                      .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
                      .filter(function (item, index, arr) {
                        return arr.indexOf(item, index + 1) === -1;
                      }) // check if there is any occurence of the item in whole array
                      .reverse()
                      .map(JSON.parse);
                    var term_ids = "";
                    $(this)
                      .find("input:checkbox:checked")
                      .each(function () {
                        term_ids += $(this).val() + ",";
                        taxonomy = $(this).data("taxonomy");
                      });
                    taxonomy = $(this).data("taxonomy");
                    term_id = term_ids.replace(/,(?=\s*$)/, "");
                    if (term_id.length > 0) {
                      pope_last_filter = taxonomy;
                    } else {
                      pope_last_filter = pope_last_filter;
                    }
                    pope_hash_update_arr("page", { page: "" }, "page");
                    pope_update_url();
                    pope_live_filter_reset(selected_term_list);
                    pope_ajax_action(selected_term_list);
                    pope_pagination_action(selected_term_list);
                  }
                );

                // Filter by custom field.
                $(POPE_Wrapper_ID).on(
                  "change",
                  ".pope-custom-field-filter",
                  function (e) {
                    e.stopPropagation();
                    e.preventDefault();
                    $(".pope-custom-field-filter", POPE_Wrapper_ID).each(
                      function () {
                        $(this)
                          .find("option:selected, input:radio:checked")
                          .each(function () {
                            custom_field_key = $(this).attr("name");
                            custom_field_value = $(this).val();
                            custom_fields_array.map(function (person) {
                              if (
                                person.custom_field_key === custom_field_key
                              ) {
                                person.custom_field_value = custom_field_value;
                              }
                            });
                            custom_fields_array.push({
                              custom_field_key,
                              custom_field_value,
                            });
                          });
                      }
                    );
                    pope_last_filter = $(this)
                      .find("option:selected, input:radio:checked")
                      .attr("name");
                    custom_fields_array = $.grep(
                      custom_fields_array,
                      function (e, i) {
                        return e.custom_field_value != "all";
                      }
                    );
                    custom_fields_array = custom_fields_array
                      .map(JSON.stringify)
                      .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
                      .filter(function (item, index, arr) {
                        return arr.indexOf(item, index + 1) === -1;
                      }) // check if there is any occurence of the item in whole array
                      .reverse()
                      .map(JSON.parse);
                    pope_ajax_action(selected_term_list);
                    pope_pagination_action(selected_term_list);
                    pope_live_filter_reset(selected_term_list);
                    pope_update_url();
                  }
                );
                // Filter by checkbox custom field.
                $(POPE_Wrapper_ID).on(
                  "change",
                  ".pope-custom-field-filter-checkbox",
                  function (e) {
                    e.stopPropagation();
                    e.preventDefault();
                    $(
                      ".pope-custom-field-filter-checkbox",
                      POPE_Wrapper_ID
                    ).each(function () {
                      var custom_field_key = $(this)
                        .find("input:checkbox")
                        .attr("name");
                      var custom_field_value = "";
                      $(this)
                        .find(
                          "input[name='" +
                            custom_field_key +
                            "']:checkbox:checked"
                        )
                        .each(function () {
                          custom_field_key = $(this).attr("name");
                          custom_field_value += $(this).val() + ",";
                        });
                      custom_field_value = custom_field_value.replace(
                        /,(?=\s*$)/,
                        ""
                      );
                      custom_fields_array.push({
                        custom_field_key,
                        custom_field_value,
                      });
                      custom_fields_array.map(function (person) {
                        if (person.custom_field_key === custom_field_key) {
                          person.custom_field_value = custom_field_value;
                        }
                      });
                      custom_fields_array = $.grep(
                        custom_fields_array,
                        function (e, i) {
                          return e.custom_field_value.length;
                        }
                      );
                    });
                    pope_last_filter = $(this)
                      .find("input:checkbox:checked")
                      .attr("name");
                    custom_fields_array = custom_fields_array
                      .map(JSON.stringify)
                      .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
                      .filter(function (item, index, arr) {
                        return arr.indexOf(item, index + 1) === -1;
                      }) // check if there is any occurrence of the item in whole array
                      .reverse()
                      .map(JSON.parse);
                    pope_ajax_action(selected_term_list);
                    pope_pagination_action(selected_term_list);
                    pope_live_filter_reset(selected_term_list);
                    pope_update_url();
                  }
                );
                // Filter by taxonomy.
                $(POPE_Wrapper_ID).on(
                  "change",
                  ".pope-filter-by",
                  function (e) {
                    e.stopPropagation();
                    e.preventDefault();
                    $(this)
                      .find("option:selected, input:radio:checked")
                      .each(function () {
                        term_id = $(this).val();
                        taxonomy = $(this).data("taxonomy");
                        var selected_tax_length = selected_term_list.length;
                        if (selected_tax_length > 0) {
                          var selected_tax =
                            selected_term_list[selected_tax_length - 1][
                              "taxonomy"
                            ];
                          selected_term_list.map(function (person) {
                            if (person.taxonomy === taxonomy) {
                              person.term_id = term_id;
                            }
                          });
                          // if ($.inArray(taxonomy, tax_list) == -1) {
                          selected_term_list.push({
                            taxonomy,
                            term_id,
                          });
                          //  }
                          if (
                            selected_term_list[selected_tax_length - 1][
                              "term_id"
                            ] == "all" &&
                            selected_tax === taxonomy
                          ) {
                            tax_list = tax_list.filter(function (val) {
                              return val !== taxonomy;
                            });
                          } else {
                            tax_list = pope_filter_push(tax_list, taxonomy);
                          }
                          selected_term_list = $.grep(
                            selected_term_list,
                            function (e, i) {
                              return e.term_id != "all";
                            }
                          );
                        } else {
                          selected_term_list.push({
                            taxonomy,
                            term_id,
                          });
                          tax_list = Array(taxonomy);
                        }
                      });
                    if (term_id == "all") {
                      pope_last_filter = pope_last_filter;
                    } else {
                      pope_last_filter = taxonomy;
                    }
                    selected_term_list = selected_term_list
                      .map(JSON.stringify)
                      .reverse()
                      .filter(function (item, index, selected_term_list) {
                        return (
                          selected_term_list.indexOf(item, index + 1) === -1
                        );
                      })
                      .reverse()
                      .map(JSON.parse);
                    pope_hash_update_arr("page", { page: "" }, "page");
                    pope_update_url();
                    // if ($('.pope-filter-by', POPE_Wrapper_ID).length > 1) {
                    pope_live_filter_reset(selected_term_list);
                    //}
                    pope_ajax_action(selected_term_list);
                    pope_pagination_action(selected_term_list);
                  }
                );
                // Author filter.
                $(POPE_Wrapper_ID).on(
                  "change",
                  ".pope-author-filter",
                  function (e) {
                    var that;
                    $(this)
                      .find("option:selected, input:radio:checked")
                      .each(function () {
                        that = $(this);
                        author_id = that.val();
                      });
                    var author_arr = { author_id, author_id };
                    if (author_id == "all") {
                      pope_last_filter = pope_last_filter;
                    } else {
                      pope_last_filter = "author_id";
                    }
                    pope_hash_update_arr(author_id, author_arr, "author_id");
                    pope_update_url();
                    pope_live_filter_reset(selected_term_list);
                    pope_ajax_action();
                    pope_pagination_action();
                  }
                );

                // Post order asc/dsc.
                $(POPE_Wrapper_ID).on("change", ".pope-order", function (e) {
                  var that;
                  $(this)
                    .find("option:selected, input:radio:checked")
                    .each(function () {
                      that = $(this);
                      order = $(this).val();
                    });
                  var order_arr = { order, order };
                  pope_hash_update_arr(order, order_arr, "order");
                  pope_update_url();
                  pope_ajax_action();
                  pope_pagination_action();
                  pope_hash_update_arr("page", { page: "" }, "page");
                  pope_update_url();
                });
                /**
                 * Grid masonry.
                 */
                if ($(POPE_Wrapper_ID).hasClass("pope-masonry")) {
                  var $post_wrapper = $(".ta-row", POPE_Wrapper_ID);
                  $post_wrapper.imagesLoaded(function () {
                    $post_wrapper.masonry(/* {
                itemSelector: 'div[class*=pope-item-]',
                //fitWidth: true,
                percentPosition: true
              } */);
                  });
                }

                /**
                 * The Pagination effects.
                 *
                 * The effects for pagination to work for both mobile and other screens.
                 */
                var Pagination_Type = $(POPE_Wrapper_ID).data("pagination");
                if ($(window).width() <= 480) {
                  var Pagination_Type =
                    $(POPE_Wrapper_ID).data("pagination_mobile");
                }
                // Ajax number pagination

                if (Pagination_Type == "ajax_pagination") {
                  $(POPE_Wrapper_ID).on(
                    "click",
                    ".pope-post-pagination a",
                    function (e) {
                      e.preventDefault();
                      var that = $(this);
                      var totalPage = $(
                          ".pope-post-pagination.pope-on-desktop a:not(.pope_next, .pope_prev)",
                          POPE_Wrapper_ID
                        ).length,
                        currentPage = parseInt(
                          $(
                            ".pope-post-pagination.pope-on-desktop .active:not(.pope_next, .pope_prev)",
                            POPE_Wrapper_ID
                          ).data("page")
                        );
                      if ($(window).width() <= 480) {
                        var totalPage = $(
                            ".pope-post-pagination.pope-on-mobile a:not(.pope_next, .pope_prev)",
                            POPE_Wrapper_ID
                          ).length,
                          currentPage = parseInt(
                            $(
                              ".pope-post-pagination.pope-on-mobile .active:not(.pope_next, .pope_prev)",
                              POPE_Wrapper_ID
                            ).data("page")
                          );
                      }
                      page = parseInt(that.data("page"));
                      if (that.hasClass("pope_next")) {
                        if (totalPage > currentPage) {
                          var page = currentPage + 1;
                        } else {
                          return;
                        }
                      }
                      if (that.hasClass("pope_prev")) {
                        if (currentPage > 1) {
                          var page = currentPage - 1;
                        } else {
                          return;
                        }
                      }
                      var pope_paged = { page, page };
                      $.ajax({
                        url: ajaxurl,
                        type: "post",
                        data: {
                          page: page,
                          id: pc_sid,
                          pagination_type: pc_pagination,
                          post_per_page: post_per_page,
                          pope_settings: pope_settings,
                          pope_post_limit: pope_post_limit,
                          action: "post_grid_ajax",
                          author_id: author_id,
                          order: order,
                          lang: spsp_lang,
                          keyword: keyword,
                          orderby: orderby,
                          taxonomy: taxonomy,
                          term_id: term_id,
                          term_list: selected_term_list,
                          custom_fields_array: custom_fields_array,
                          nonce: nonce,
                        },
                        error: function (response) {},
                        success: function (response) {
                          var $data = $(response);
                          var $newElements = $data;
                          if ($(POPE_Wrapper_ID).hasClass("pope-masonry")) {
                            var $post_wrapper = $(".ta-row", POPE_Wrapper_ID);
                            $post_wrapper.masonry("destroy");
                            $post_wrapper
                              .html($newElements)
                              .imagesLoaded(function () {
                                $post_wrapper.masonry();
                              });
                          } else if (
                            $(POPE_Wrapper_ID).hasClass("pope-filter-wrapper")
                          ) {
                            $grid
                              .html($newElements)
                              .isotope("appended", $newElements)
                              .imagesLoaded(function () {
                                $grid.isotope("layout");
                              });
                            pope_item_same_height();
                          } else {
                            $(
                              ".ta-row, .pope-timeline-grid, .ta-collapse, .table-responsive tbody",
                              POPE_Wrapper_ID
                            ).html($newElements);
                            if (popeAccordion.length > 0) {
                              popeAccordion.accordion("refresh");
                              if (accordion_mode === "multi-open") {
                                popeAccordion
                                  .find(".pope-collapse-header")
                                  .next()
                                  .slideDown();
                                popeAccordion
                                  .find(".pope-collapse-header .fa")
                                  .removeClass("fa-plus")
                                  .addClass("fa-minus");
                              }
                            }
                            var $newElements = $data.css({
                              opacity: 1,
                            });
                          }
                          $(".page-numbers", POPE_Wrapper_ID).removeClass(
                            "active"
                          );
                          $(".page-numbers", POPE_Wrapper_ID).each(function () {
                            // if (parseInt($('.pope-post-pagination a').data('page')) === page) {
                            $(
                              ".pope-post-pagination a[data-page=" + page + "]",
                              POPE_Wrapper_ID
                            ).addClass("active");
                            // }
                          });
                          $(".pope_next", POPE_Wrapper_ID).removeClass(
                            "active"
                          );
                          $(".pope_prev", POPE_Wrapper_ID).removeClass(
                            "active"
                          );
                          $(
                            ".pope-post-pagination a.active",
                            POPE_Wrapper_ID
                          ).each(function () {
                            if (parseInt($(this).data("page")) === totalPage) {
                              $(".pope_next", POPE_Wrapper_ID).addClass(
                                "active"
                              );
                            }
                            if (parseInt($(this).data("page")) === 1) {
                              $(".pope_prev", POPE_Wrapper_ID).addClass(
                                "active"
                              );
                            }
                          });
                          if (popeAccordion.length > 0) {
                            popeAccordion.accordion("refresh");
                            if (accordion_mode === "multi-open") {
                              popeAccordion
                                .find(".pope-collapse-header")
                                .next()
                                .slideDown();
                              popeAccordion
                                .find(".pope-collapse-header .fa")
                                .removeClass("fa-plus")
                                .addClass("fa-minus");
                            }
                          }
                          $newElements.animate({
                            opacity: 1,
                          });
                          pope_lazyload();
                          // Ajax Number pagination go to current shortcode top.
                          var url_hash = window.location.search;
                          if (url_hash.indexOf("pope_page") >= 0) {
                            var current_screen_id =
                              document.querySelector(POPE_Wrapper_ID);
                            current_screen_id.scrollIntoView();
                          }
                        },
                      });
                      pope_hash_update_arr(page, pope_paged, "page");
                      pope_update_url();
                    }
                  );
                }

                /**
                 * Ajax load on click and Infinite scroll.
                 */
                if (
                  Pagination_Type == "infinite_scroll" ||
                  Pagination_Type == "ajax_load_more"
                ) {
                  $(POPE_Wrapper_ID).each(function () {
                    var EndingMessage = $(this)
                      .find(".ta-pope-pagination-data")
                      .data("endingtext");
                    var LoadMoreText = $(this)
                      .find(".ta-pope-pagination-data")
                      .data("loadmoretext");
                    if (
                      !$(this)
                        .find(".pope-load-more")
                        .hasClass("pope-load-more-initialize")
                    ) {
                      if (
                        $(".pope-post-pagination a", POPE_Wrapper_ID).length
                      ) {
                        $(".pope-post-pagination", POPE_Wrapper_ID)
                          .eq(0)
                          .before(
                            '<div class="pope-load-more"><button pope-processing="0">' +
                              LoadMoreText +
                              "</button></div>"
                          );
                      }
                      if (Pagination_Type == "infinite_scroll") {
                        $(".pope-load-more", POPE_Wrapper_ID).addClass(
                          "pope-hide"
                        );
                      }
                      $(".pope-post-pagination", POPE_Wrapper_ID).addClass(
                        "pope-hide"
                      );
                      $(
                        ".ta-row div[class*=pope-item-]",
                        POPE_Wrapper_ID
                      ).addClass("pope-added");
                      $(this)
                        .find(".pope-load-more")
                        .addClass("pope-load-more-initialize");
                      $(this).on(
                        "click",
                        ".pope-load-more button",
                        function (e) {
                          e.preventDefault();
                          if (
                            $(
                              ".pope-post-pagination a.active:not(.pope_next, .pope_prev)",
                              POPE_Wrapper_ID
                            ).length
                          ) {
                            $(".pope-load-more button").attr(
                              "pope-processing",
                              1
                            );
                            var current_page = parseInt(
                              $(
                                ".pope-post-pagination a.active:not(.pope_next, .pope_prev)",
                                POPE_Wrapper_ID
                              ).data("page")
                            );
                            current_page = current_page + 1;
                            $(".pope-load-more", POPE_Wrapper_ID).hide();
                            $(".pope-post-pagination", POPE_Wrapper_ID)
                              .eq(0)
                              .before(
                                '<div class="pope-infinite-scroll-loader"><svg width="44" height="44" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="#444"><g fill="none" fill-rule="evenodd" stroke-width="2"><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite" /> <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite" /> </circle> <circle cx="22" cy="22" r="1"> <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite" /> <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle></g></svg></div>'
                              );
                            var totalPage = $(
                              ".pope-post-pagination.pope-on-desktop.infinite_scroll a:not(.pope_next, .pope_prev), .pope-post-pagination.pope-on-desktop.ajax_load_more a:not(.pope_next, .pope_prev)",
                              POPE_Wrapper_ID
                            ).length;
                            if ($(window).width() <= 480) {
                              var totalPage = $(
                                ".pope-post-pagination.pope-on-mobile.infinite_scroll a:not(.pope_next, .pope_prev), .pope-post-pagination.ajax_load_more.pope-on-mobile  a:not(.pope_next, .pope_prev)",
                                POPE_Wrapper_ID
                              ).length;
                            }
                            page = current_page;
                            $.ajax({
                              url: ajaxurl,
                              type: "post",
                              data: {
                                page: page,
                                id: pc_sid,
                                pagination_type: pc_pagination,
                                post_per_page: post_per_page,
                                pope_settings: pope_settings,
                                pope_post_limit: pope_post_limit,
                                action: "post_grid_ajax",
                                author_id: author_id,
                                order: order,
                                lang: spsp_lang,
                                keyword: keyword,
                                orderby: orderby,
                                taxonomy: taxonomy,
                                term_id: term_id,
                                term_list: selected_term_list,
                                custom_fields_array: custom_fields_array,
                                nonce: nonce,
                              },
                              error: function (response) {},
                              success: function (response) {
                                var $data = $(response);
                                var $newElements = $data;
                                if (
                                  $(POPE_Wrapper_ID).hasClass("pope-masonry")
                                ) {
                                  var $post_wrapper = $(
                                    ".ta-row",
                                    POPE_Wrapper_ID
                                  );
                                  $post_wrapper.masonry("destroy");
                                  $post_wrapper
                                    .append($newElements)
                                    .imagesLoaded(function () {
                                      $post_wrapper.masonry();
                                    });
                                } else if (
                                  $(POPE_Wrapper_ID).hasClass(
                                    "pope-filter-wrapper"
                                  )
                                ) {
                                  $grid
                                    .append($newElements)
                                    .isotope("appended", $newElements)
                                    .imagesLoaded(function () {
                                      $grid.isotope("layout");
                                    });
                                  pope_item_same_height();
                                } else {
                                  var $newElements = $data.css({
                                    opacity: 0,
                                  });
                                  $(
                                    ".ta-row, .pope-timeline-grid, .ta-collapse, .table-responsive tbody",
                                    POPE_Wrapper_ID
                                  ).append($newElements);
                                  if (popeAccordion.length > 0) {
                                    popeAccordion.accordion("refresh");
                                    if (accordion_mode === "multi-open") {
                                      popeAccordion
                                        .find(".pope-collapse-header")
                                        .next()
                                        .slideDown();
                                      popeAccordion
                                        .find(".pope-collapse-header .fa")
                                        .removeClass("fa-plus")
                                        .addClass("fa-minus");
                                    }
                                  }
                                  var $newElements = $data.css({
                                    opacity: 1,
                                  });
                                }
                                $(".page-numbers", POPE_Wrapper_ID).removeClass(
                                  "active"
                                );
                                $(".page-numbers", POPE_Wrapper_ID).each(
                                  function () {
                                    $(
                                      ".pope-post-pagination a[data-page=" +
                                        page +
                                        "]",
                                      POPE_Wrapper_ID
                                    ).addClass("active");
                                  }
                                );
                                $(
                                  ".pope-infinite-scroll-loader",
                                  POPE_Wrapper_ID
                                ).remove();
                                if (Pagination_Type == "ajax_load_more") {
                                  $(".pope-load-more").show();
                                }
                                $(".pope-load-more button").attr(
                                  "pope-processing",
                                  0
                                );
                                $(
                                  ".ta-row div[class*=pope-item-]",
                                  POPE_Wrapper_ID
                                )
                                  .not(".pope-added")
                                  .addClass("animated popeFadeIn")
                                  .one(
                                    "webkitAnimationEnd animationEnd",
                                    function () {
                                      $(this)
                                        .removeClass("animated popeFadeIn")
                                        .addClass("pope-added");
                                    }
                                  );
                                if (totalPage == current_page) {
                                  $(".pope-load-more", POPE_Wrapper_ID)
                                    .addClass("finished")
                                    .removeClass("pope-hide");
                                  $(".pope-load-more", POPE_Wrapper_ID)
                                    .show()
                                    .html(EndingMessage);
                                }
                                pope_lazyload();
                              },
                            });
                          } else {
                            $(".pope-load-more", POPE_Wrapper_ID)
                              .addClass("finished")
                              .removeClass("pope-hide");
                            $(".pope-load-more", POPE_Wrapper_ID)
                              .show()
                              .html(EndingMessage);
                          }
                        }
                      );
                    }
                    if (Pagination_Type == "infinite_scroll") {
                      var bufferBefore = Math.abs(20);
                      $(window).scroll(function () {
                        if (
                          $(
                            ".ta-row, .ta-collapse, .pope-timeline-grid, .table-responsive tbody",
                            POPE_Wrapper_ID
                          ).length
                        ) {
                          var TopAndContent =
                            $(
                              ".ta-row, .ta-collapse, .pope-timeline-grid, .table-responsive tbody",
                              POPE_Wrapper_ID
                            ).offset().top +
                            $(
                              ".ta-row, .ta-collapse, .pope-timeline-grid, .table-responsive tbody",
                              POPE_Wrapper_ID
                            ).outerHeight();
                          var areaLeft = TopAndContent - $(window).scrollTop();
                          if (areaLeft - bufferBefore < $(window).height()) {
                            if (
                              $(".pope-load-more button", POPE_Wrapper_ID).attr(
                                "pope-processing"
                              ) == 0
                            ) {
                              $(
                                ".pope-load-more button",
                                POPE_Wrapper_ID
                              ).trigger("click");
                            }
                          }
                        }
                      });
                    }
                  });
                }

                /* Preloader js */
                $(document).ready(function () {
                  $(".pope-preloader", POPE_Wrapper_ID).css({
                    backgroundImage: "none",
                    visibility: "hidden",
                  });
                });
                // This function added for pope-Lazyload.
                function pope_lazyload() {
                  var $is_find = $(".postify__item--thumbnail img").hasClass(
                    "pope-lazyload"
                  );
                  if ($is_find) {
                    $("img.pope-lazyload")
                      .pope_lazyload({ effect: "fadeIn", effectTime: 2000 })
                      .removeClass("pope-lazyload")
                      .addClass("pope-lazyloaded");
                  }
                }
                pope_lazyload();
              });
          }
        };
        pope_myScript();
      }
    );
  });
})(jQuery);
