<?php

/**
 * Content
 *
 * This template can be overridden by copying it to yourtheme/postify-pro-por-elementor/templates/item/content.php
 *
 * @package    Postify_pro_for_elementor
 * @subpackage Postify_pro_for_elementor/public
 */

?>
<div class="postify__item__content">
	<?php
	if ($show_content) {
		$content_to_sanitize = POPE_Functions::pope_content($options, $post, $pope_settings);

		// Check if $content_to_sanitize is not null before using wp_kses
		if ($content_to_sanitize !== null) {
			$allowed_tags = apply_filters('ta_wp_pope_allowed_tags', POPE_Functions::allowed_tags());
			$sanitized_content = wp_kses($content_to_sanitize, $allowed_tags);

			// Output or use the sanitized content
			echo wp_kses_post($sanitized_content);
		} else {
			// Handle the case where $content_to_sanitize is null, e.g., provide a default value
			echo esc_html('Default content');
		}
	}
	if ($show_read_more) {
		$readmore_content = self::pope_readmore($options, $post, $pope_settings);
		if ($readmore_content !== null) {
			$sanitized_content = wp_kses_data(wp_strip_all_tags($readmore_content));
		} else {
			$sanitized_content = wp_kses_post('Default content');
		}
	}
	?>
</div>