<?php
/**
 * Pagination display provider
 *
 * This template can be overridden by copying it to yourtheme/postify-pro-por-elementor/templates/pagination.php
 *
 * @package    Postify_pro_for_elementor
 * @subpackage Postify_pro_for_elementor/public
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$pope_settings       = isset($_POST['pope_settings']) ? $_POST['pope_settings'] : '';
$post_per_page       = isset($_POST['post_per_page']) ? $_POST['post_per_page'] : '';
$pope_post_limit     = isset($_POST['pope_post_limit']) ? $_POST['pope_post_limit'] : '';

if ( $show_pagination && ! $pope_query->is_main_query() ) {
	// Paged argument.
	if ( get_query_var( 'paged' ) ) {
		$pope_paged = get_query_var( 'paged' );
	} elseif ( get_query_var( 'page' ) ) {
		$pope_paged = get_query_var( 'page' );
	} else {
		$pope_paged = 1;
	}
	$load_more_text    = isset( $pope_settings['load_more_text'] ) ? $pope_settings['load_more_text'] : $view_options['load_more_text'];
	$pagination_message = isset( $pope_settings['pagination_message'] ) ? $pope_settings['pagination_message'] : $view_options['pagination_message'];
	?>
	<span class="ta-pope-pagination-data"  data-loadmoretext="<?php echo esc_attr( $load_more_text ); ?>" data-endingtext="<?php echo esc_attr( $pagination_message ); ?>"></span>

		<nav class="pope-post-pagination pope-on-desktop <?php echo esc_attr( $pagination_type ); ?>">
		<?php
			POPE_HTML::pope_pagination_bar( $pope_query, $view_options, $layout_preset, $pope_gl_id, $pope_settings, $post_per_page, $pope_post_limit ); 
		?>
		</nav>
	<?php
}
?>
