<?php
class POPE_Query_Style_Box
{
    public static function ppfe_style_box_options($widget)
    {

        // Box.
        $widget->start_controls_section(
            'section_box',
            [
                'label'     => esc_html__('Box', 'postify-pro-for-elementor'),
                'tab'       => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        // Image border radius.
        $widget->add_control(
            'grid_box_border_width',
            [
                'label'      => esc_html__('Border Widget', 'postify-pro-for-elementor'),
                'type'       => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => ['px', '%'],
                'selectors'  => [
                    '{{WRAPPER}} .postify .postify__item' => 'border-style: solid; border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}}',
                ],
            ]
        );

        // Border Radius.
        $widget->add_control(
            'grid_style_border_radius',
            [
                'label'     => esc_html__('Border Radius', 'postify-pro-for-elementor'),
                'type'      => \Elementor\Controls_Manager::SLIDER,
                'default'   => [
                    'size' => 0,
                ],
                'range'     => [
                    'px' => [
                        'min' => 0,
                        'max' => 200,
                    ],
                ],
                'selectors' => [
                    '{{WRAPPER}} .postify .postify__item' => 'border-radius: {{SIZE}}{{UNIT}}',
                ],
            ]
        );

        // Box internal padding.
        $widget->add_responsive_control(
            'grid_items_style_padding',
            [
                'label'      => esc_html__('Padding', 'postify-pro-for-elementor'),
                'type'       => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => ['px', '%'],
                'selectors'  => [
                    '{{WRAPPER}} .postify .postify__item' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}}',
                ],
            ]
        );
        // Box internal margin.
        $widget->add_responsive_control(
            'grid_items_style_margin',
            [
                'label'      => esc_html__('Margin', 'postify-pro-for-elementor'),
                'type'       => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => ['px', '%'],
                'selectors'  => [
                    '{{WRAPPER}} .postify .swiper-wrapper' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}}',
                ],
            ]
        );

        $widget->start_controls_tabs('grid_button_style');

        // Normal tab.
        $widget->start_controls_tab(
            'grid_button_style_normal',
            [
                'label'     => esc_html__('Normal', 'postify-pro-for-elementor'),
            ]
        );

        // Normal background color.
        $widget->add_control(
            'grid_button_style_normal_bg_color',
            [
                'type'      => \Elementor\Controls_Manager::COLOR,
                'label'     => esc_html__('Background Color', 'postify-pro-for-elementor'),
                'separator' => '',
                'selectors' => [
                    '{{WRAPPER}} .postify .postify__item' => 'background-color: {{VALUE}};',
                ],
            ]
        );

        // Normal border color.
        $widget->add_control(
            'grid_button_style_normal_border_color',
            [
                'type'      => \Elementor\Controls_Manager::COLOR,
                'label'     => esc_html__('Border Color', 'postify-pro-for-elementor'),
                'separator' => '',
                'selectors' => [
                    '{{WRAPPER}} .postify .postify__item' => 'border-color: {{VALUE}};',
                ],
            ]
        );

        // Normal box shadow.
        $widget->add_group_control(
            \Elementor\Group_Control_Box_Shadow::get_type(),
            [
                'name'      => 'grid_button_style_normal_box_shadow',
                'selector'  => '{{WRAPPER}} .postify .postify__item',
            ]
        );

        $widget->end_controls_tab();

        // Hover tab.
        $widget->start_controls_tab(
            'grid_button_style_hover',
            [
                'label'     => esc_html__('Hover', 'postify-pro-for-elementor'),
            ]
        );

        // Hover background color.
        $widget->add_control(
            'grid_button_style_hover_bg_color',
            [
                'type'      => \Elementor\Controls_Manager::COLOR,
                'label'     => esc_html__('Background Color', 'postify-pro-for-elementor'),
                'separator' => '',
                'selectors' => [
                    '{{WRAPPER}} .postify .postify__item:hover' => 'background-color: {{VALUE}};',
                ],
            ]
        );

        // Hover border color.
        $widget->add_control(
            'grid_button_style_hover_border_color',
            [
                'type'      => \Elementor\Controls_Manager::COLOR,
                'label'     => esc_html__('Border Color', 'postify-pro-for-elementor'),
                'separator' => '',
                'selectors' => [
                    '{{WRAPPER}} .postify .postify__item:hover' => 'border-color: {{VALUE}};',
                ],
            ]
        );

        // Hover box shadow.
        $widget->add_group_control(
            \Elementor\Group_Control_Box_Shadow::get_type(),
            [
                'name'      => 'grid_button_style_hover_box_shadow',
                'selector'  => '{{WRAPPER}} .postify .postify__item:hover',
            ]
        );

        $widget->end_controls_tab();

        $widget->end_controls_tabs();

        $widget->end_controls_section();
    }
}
