<?php
class POPE_Query_Style_Layout
{
    public static function ppfe_style_layout_options($widget)
    {

        // Layout.
        $widget->start_controls_section(
            'section_layout_style',
            [
                'label' => esc_html__('Layout', 'postify-pro-for-elementor'),
                'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );
        $widget->add_responsive_control(
            'columns',
            [
                'label' => esc_html__('Columns', 'postify-pro-for-elementor'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'tablet_default' => '2',
                'mobile_default' => '1',
                'options' => [
                    '1' => '1',
                    '2' => '2',
                    '3' => '3',
                    '4' => '4',
                ],
                'default' => '3',
                'prefix_class' => 'elementor-grid%s-',
                'frontend_available' => true,
                'selectors' => [
                    '.elementor-msie {{WRAPPER}} .elementor-portfolio-item' => 'width: calc( 100% / {{SIZE}} )',
                ],
            ]
        );
        // Columns margin.
        $widget->add_control(
            'grid_style_columns_margin',
            [
                'label'     => esc_html__('Columns margin', 'postify-pro-for-elementor'),
                'type'      => \Elementor\Controls_Manager::SLIDER,
                'default'   => [
                    'size' => 15,
                ],
                'range'     => [
                    'px' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'selectors' => [
                    '{{WRAPPER}} .ppfe-grid-container' => 'grid-column-gap: {{SIZE}}{{UNIT}}',

                ],
            ]
        );

        // Row margin.
        $widget->add_control(
            'grid_style_rows_margin',
            [
                'label'     => esc_html__('Rows margin', 'postify-pro-for-elementor'),
                'type'      => \Elementor\Controls_Manager::SLIDER,
                'default'   => [
                    'size' => 30,
                ],
                'range'     => [
                    'px' => [
                        'min' => 0,
                        'max' => 100,
                    ],
                ],
                'selectors' => [
                    '{{WRAPPER}} .ppfe-grid-container' => 'grid-row-gap: {{SIZE}}{{UNIT}}',
                ],
            ]
        );

        $widget->end_controls_section();
    }
}
