<?php

namespace Elementor;

use Elementor\Widget_Base;
use Elementor\Core\Kits\Documents\Tabs\Global_Colors;
use Elementor\Core\Kits\Documents\Tabs\Global_Typography;

class Postify_Pro_Post_Carousel_Widget extends Widget_Base
{

    public function get_name()
    {
        return 'postify-post-carousel-widget';
    }

    public function get_title()
    {
        return esc_html__('Postify Carousel', 'postify-pro-for-elementor');
    }
   
    public function get_style_depends()
    {
        return [
            'fontawesome',
            'bx_slider',
            'swiper-bundle',
            'postify-main',
        ];
    }
    public function get_script_depends()
    {
        return [
            'carousel_scripts',
            'pope-likes-public',
            'bx_slider',
            'swiper-bundle',
        ];
    }

    public function get_icon()
    {
        return 'eicon-posts-carousel';
    }

    public function get_categories()
    {
        return ['ppfe-for-elementor'];
    }

    public function _register_controls()
    {
        // Include control files
        require_once(__DIR__ . '/options/class-pope-utlities-functions.php');
        require_once(__DIR__ . '/options/class-pope-layout-options.php');
        require_once(__DIR__ . '/options/class-pope-carousel-options.php');
        require_once(__DIR__ . '/options/class-pope-query-options.php');
        require_once(__DIR__ . '/options/class-pope-detailssettings.php');
        require_once(__DIR__ . '/options/class-pope-style-box-options.php');
        require_once(__DIR__ . '/options/class-pope-style-category-options.php');
        require_once(__DIR__ . '/options/class-pope-style-image-options.php');
        require_once(__DIR__ . '/options/class-pope-style-title-options.php');
        require_once(__DIR__ . '/options/class-pope-style-meta-options.php');
        require_once(__DIR__ . '/options/class-pope-style-content-options.php');
        require_once(__DIR__ . '/options/class-pope-style-readmore-options.php');
        require_once(__DIR__ . '/options/class-pope-style-social-share.php');
        require_once(__DIR__ . '/options/class-pope-style-carousel.php');
        require_once(__DIR__ . '/options/class-pope-style-pagination.php');
        require_once(__DIR__ . '/options/class-pope-style-filter-bar.php');
        // Register text control
        \POPE_Layout::ppfe_content_layout_options($this);
        \POPE_Carousel::ppfe_content_carousel_options($this);
        \POPE_Query::ppfe_content_query_options($this);
        \POPE_Detailsettings::ppfe_content_detailsettings_options($this);
        \POPE_Query_Style_Box::ppfe_style_box_options($this);
        \POPE_Query_Style_Category::ppfe_style_category_options($this);
        \POPE_Query_Style_Image::ppfe_style_image_options($this);
        \POPE_Query_Style_Title::ppfe_style_title_options($this);
        \POPE_Query_Style_Meta::ppfe_style_meta_options($this);
        \POPE_Query_Style_Content::ppfe_style_content_options($this);
        \POPE_Query_Style_Readmore::ppfe_style_readmore_options($this);
        \POPE_Query_Style_Social_Share::ppfe_style_social_share($this);
        \POPE_Query_Style_Carousel::ppfe_style_carousel($this);
        \POPE_Query_Style_Pagination::ppfe_style_pagination($this);
        \POPE_Query_Style_Filter_Bar::ppfe_style_filter_bar($this);
    }

    protected function render()
    {
        $view_options = $this->get_settings_for_display();
        $pope_gl_id = $this->get_id();
        \POPE_HTML::pope_html_show($view_options, $layout_preset = 'carousel_layout', $pope_gl_id);
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new Postify_Pro_Post_Carousel_Widget());
